Name:           libdvdnav
Version:        4.1.1
Release:        4%{?dist}
Summary:        A library for reading DVD video discs based on Ogle code

Group:          System Environment/Libraries
License:        GPLv2+
Source:         http://www.mplayerhq.hu/MPlayer/releases/dvdnav/libdvdnav-4.1.1.tar.gz
Patch1:         %{name}-svn.patch
Patch2:         %{name}-version.patch
Patch3:         %{name}-libdir.patch
Patch4:         %{name}-soname.patch
Patch5:         %{name}-external-dvdread.patch
Patch6:         %{name}-destdir.patch
Patch10:        libdvdnav-4.1.1-svn20080102.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen

%description
libdvdnav provides a simple library for reading DVD video discs.
The code is based on Ogle and used in, among others, the Xine dvdnav plug-in.

%package        devel
Summary:        Development files for libdvdnav
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libdvdread-devel

%description    devel
libdvdnav-devel contains the files necessary to build packages that use the
libdvdnav library.

%package -n libdvdread
Summary:        Simple foundation for reading DVD video disks
Group:          System Environment/Libraries

%description -n libdvdread
libdvdread provides a simple foundation for reading DVD video disks.
It provides the functionality that is required to access many DVDs.

%package -n libdvdread-devel
Summary:        Development files for libdvdread
Group:          Development/Libraries
Requires:       libdvdread = %{version}-%{release}

%description -n libdvdread-devel
libdvdread provides a simple foundation for reading DVD video disks.
It provides the functionality that is required to access many DVDs.

This package contains development files for libdvdread.

%prep
%setup -q
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1 -b .dvdread
%patch6 -p1 -b .destdir
%patch10 -p1

%build
./configure2 \
 --disable-opts \
 --disable-static \
 --disable-strip \
 --extra-cflags="$RPM_OPT_FLAGS" \
 --libdir=%{_libdir} \
 --prefix=%{_prefix} \
 --shlibdir=%{_libdir} \

#parallel make fails
#make %{?_smp_mflags}
make
pushd doc
doxygen doxy.conf
popd

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/aclocal
install -p -m 644 m4/dvdnav.m4 $RPM_BUILD_ROOT/%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n libdvdread -p /sbin/ldconfig

%postun -n libdvdread -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libdvdnav.so.*
%{_libdir}/libdvdnavmini.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html/*
%{_bindir}/dvdnav-config
%{_libdir}/libdvdnav.so
%{_libdir}/libdvdnavmini.so
%{_includedir}/dvdnav
%{_datadir}/aclocal/dvdnav.m4

%files -n libdvdread
%defattr(-,root,root,-)
%{_libdir}/libdvdread.so.*

%files -n libdvdread-devel
%defattr(-,root,root,-)
%{_includedir}/dvdread
%{_libdir}/libdvdread.so

%changelog
* Wed Jan  2 2008 Matthias Saou <http://freshrpms.net/> 4.1.1-4
- Include patch to get to current SVN code, required by SVN MPlayer.

* Thu Nov 22 2007 Dominik Mierzejewski <rpm[AT]greysector.net> 4.1.1-3
- fix build with internal libdvdread

* Wed Nov 21 2007 Dominik Mierzejewski <rpm[AT]greysector.net> 4.1.1-2
- use upstream non-autotools buildsystem
- build with external libdvdread for older releases
- fix version.h
- fix soname
- fix lib paths on 64bit

* Thu Nov 01 2007 Dominik Mierzejewski <rpm[AT]greysector.net> 4.1.1-1
- switch to new upstream
- libdvdread comes from here now
- apply dvdread udf-related fixes from upstream SVN

* Sun Aug 19 2007 Dominik Mierzejewski <rpm[AT]greysector.net> 0.1.10-4.20070819
- update to current snapshot
- specfile cleanups

* Thu May 03 2007 Dominik Mierzejewski <rpm[AT]greysector.net> 0.1.10-3.20070503
- update to current snapshot from new upstream
- clean up some specfile cruft
- disable static libs
- drop unnecessary explicit dependency on libdvdread

* Mon Mar 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.1.10-2
- Drop Epoch completely

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field
- drop Epoch

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Wed Oct 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1.10-0.lvn.1
- Update to 0.1.10.
- Disable dependency tracking to speed up the build.

* Wed Jun 25 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:0.1.9-0.fdr.2: incorporated bugzilla suggestions, new release

* Thu May 29 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:0.1.9-0.fdr.1: initial RPM release
